# Class CommonPumpTypes.PumpValue

Namespace
  adas_core.Domain.Models.Pumps

Assembly
  adas-core.Domain.dll

Represents a value associated with a pump operation or measurement.

    public class CommonPumpTypes.PumpValue

Inheritance
  object
  CommonPumpTypes.PumpValue

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Units

    public string? Units { get; set; }

#### Property Value

string

### Value

    public double? Value { get; set; }

#### Property Value

double?

## Methods

### ToString()

Returns a string representation of the measurement, including its value and units.

    public override string ToString()

#### Returns

string

  A formatted string containing the Value and Units of the measurement.